Documentation for Confluence 5.4.
Documentation for Confluence OnDemand and earlier versions of Confluence is available too.

Skip to end of metadata
Go to start of metadata

Confluence 2.6-dr1 is a public development release leading up to Confluence 2.6. Development releases are a snapshot of our work in progress, allowing our customers to see what we're up to.

Who should upgrade?

Please note the following

Icon
  • Development releases are not safe. Development releases are snapshots of the ongoing Confluence development process. For that reason:
    • While we try to keep these releases stable, they have not undergone the same degree of testing as a full release.
    • Features in development releases may be incomplete, or may change or be removed before the next full release.
  • No upgrade path. Because development releases represent work in progress, we cannot provide a supported upgrade path between development releases, or from any development release to the eventual final release. Thus, it is possible that you will not be able to migrate any data you store in a Confluence development release to a future Confluence release.
  • Atlassian does not provide support for development releases.

This development release is being made available specifically for Confluence plugin developers to test their existing plugins against the significant style changes that have been made.

For all production use and testing of Confluence, please use the latest official release.

Upgrade Procedure

Follow the normal upgrade instructions to upgrade from Confluence 2.5.x to this release. We strongly recommend that you backup your confluence-home directory and database before upgrading!

Downloads

All development releases are available from Development Releases on the Atlassian website.

Note about themes

Confluence 2.5.x themes are expected to be compatible with 2.6 without authors needing to make any change to their existing themes. This is possible because Confluence will, by default, include all Confluence 2.5.x specific styles automatically.

However, if you would like to upgrade your theme to use the latest style and typography changes in Confluence 2.6, you will need to update the way you include stylesheets in your theme. Full instructions on how to do so can be found here.